# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "mwc-libp2p"
version = "0.35.2"
authors = ["Parity Technologies <admin@parity.io>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Peer-to-peer networking library"
readme = "README.md"
keywords = [
    "peer-to-peer",
    "libp2p",
    "networking",
]
categories = [
    "network-programming",
    "asynchronous",
]
license = "MIT"
repository = "https://github.com/mwcproject/rust-libp2p"

[package.metadata.docs.rs]
all-features = true

[lib]
name = "mwc_libp2p"
path = "src/lib.rs"

[[example]]
name = "chat"
path = "examples/chat.rs"

[[example]]
name = "chat-tokio"
path = "examples/chat-tokio.rs"
required-features = [
    "tcp-tokio",
    "mdns",
]

[[example]]
name = "distributed-key-value-store"
path = "examples/distributed-key-value-store.rs"

[[example]]
name = "gossipsub-chat"
path = "examples/gossipsub-chat.rs"

[[example]]
name = "ipfs-kad"
path = "examples/ipfs-kad.rs"

[[example]]
name = "ipfs-private"
path = "examples/ipfs-private.rs"

[[example]]
name = "mdns-passive-discovery"
path = "examples/mdns-passive-discovery.rs"

[[example]]
name = "ping"
path = "examples/ping.rs"

[dependencies.atomic]
version = "0.5.0"

[dependencies.bytes]
version = "1"

[dependencies.futures]
version = "0.3.1"

[dependencies.lazy_static]
version = "1.2"

[dependencies.libp2p-core]
version = "0.27.1"

[dependencies.libp2p-floodsub]
version = "0.27.0"
optional = true

[dependencies.libp2p-gossipsub]
version = "0.28.0"
optional = true

[dependencies.libp2p-identify]
version = "0.27.0"
optional = true

[dependencies.libp2p-kad]
version = "0.28.1"
optional = true

[dependencies.libp2p-mplex]
version = "0.27.1"
optional = true

[dependencies.libp2p-ping]
version = "0.27.0"
optional = true

[dependencies.libp2p-plaintext]
version = "0.27.1"
optional = true

[dependencies.libp2p-pnet]
version = "0.20.0"
optional = true

[dependencies.libp2p-request-response]
version = "0.9.1"
optional = true

[dependencies.libp2p-swarm]
version = "0.27.2"

[dependencies.libp2p-swarm-derive]
version = "0.22.0"

[dependencies.libp2p-uds]
version = "0.27.0"
optional = true

[dependencies.libp2p-wasm-ext]
version = "0.27.0"
optional = true

[dependencies.libp2p-yamux]
version = "0.30.1"
optional = true

[dependencies.multiaddr]
version = "0.11.1"
package = "parity-multiaddr"

[dependencies.mwc-libp2p-noise]
version = "0.29.1"
optional = true

[dependencies.parking_lot]
version = "0.11.0"

[dependencies.pin-project]
version = "1.0.0"

[dependencies.smallvec]
version = "1.0"

[dependencies.wasm-timer]
version = "0.2.4"

[dev-dependencies.async-std]
version = "1.6.2"
features = ["attributes"]

[dev-dependencies.env_logger]
version = "0.8.1"

[dev-dependencies.tokio]
version = "1.0.1"
features = [
    "io-util",
    "io-std",
    "macros",
    "rt",
    "rt-multi-thread",
]

[features]
default = [
    "deflate",
    "dns",
    "floodsub",
    "identify",
    "kad",
    "gossipsub",
    "mdns",
    "mplex",
    "noise",
    "ping",
    "plaintext",
    "pnet",
    "request-response",
    "secp256k1",
    "tcp-async-io",
    "uds",
    "wasm-ext",
    "websocket",
    "yamux",
]
deflate = ["libp2p-deflate"]
dns = ["libp2p-dns"]
floodsub = ["libp2p-floodsub"]
gossipsub = ["libp2p-gossipsub"]
identify = ["libp2p-identify"]
kad = ["libp2p-kad"]
mdns = ["libp2p-mdns"]
mplex = ["libp2p-mplex"]
noise = ["mwc-libp2p-noise"]
ping = ["libp2p-ping"]
plaintext = ["libp2p-plaintext"]
pnet = ["libp2p-pnet"]
request-response = ["libp2p-request-response"]
secp256k1 = ["libp2p-core/secp256k1"]
tcp-async-io = [
    "libp2p-tcp",
    "libp2p-tcp/async-io",
]
tcp-tokio = [
    "libp2p-tcp",
    "libp2p-tcp/tokio",
]
uds = ["libp2p-uds"]
wasm-ext = ["libp2p-wasm-ext"]
wasm-ext-websocket = [
    "wasm-ext",
    "libp2p-wasm-ext/websocket",
]
websocket = ["libp2p-websocket"]
yamux = ["libp2p-yamux"]

[target.'cfg(not(any(target_os = "emscripten", target_os = "wasi", target_os = "unknown")))'.dependencies.libp2p-deflate]
version = "0.27.1"
optional = true

[target.'cfg(not(any(target_os = "emscripten", target_os = "wasi", target_os = "unknown")))'.dependencies.libp2p-dns]
version = "0.27.0"
optional = true

[target.'cfg(not(any(target_os = "emscripten", target_os = "wasi", target_os = "unknown")))'.dependencies.libp2p-mdns]
version = "0.28.1"
optional = true

[target.'cfg(not(any(target_os = "emscripten", target_os = "wasi", target_os = "unknown")))'.dependencies.libp2p-tcp]
version = "0.27.1"
optional = true

[target.'cfg(not(any(target_os = "emscripten", target_os = "wasi", target_os = "unknown")))'.dependencies.libp2p-websocket]
version = "0.28.0"
optional = true
